# Can't compile sane-0.6 on Linux

Guenther Beulshausen (Guenther.Beulshausen@stud.uni-hannover.de)
Tue, 17 Jun 1997 07:33:41 +0200 (MEST)

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Andrew Kuchling: "B&W qcam with SANE 0.6"
- Previous message: David Mosberger-Tang: "Re: Sane on NeXT/OpenStep - a plea for help"

Hi!

I've got the following error when I tried to compile sane-0.6 on Linux:

making all in frontend
make[1]: Entering directory `/tmp/root/sane/sane-0.6/frontend'
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=5
-I/usr/X11R6/include -g -O2 -D_GNU_SOURCE -Wall gtkglue.c
gtkglue.c: In function `curve_new':
gtkglue.c:701: warning: implicit declaration of function
`gtk_gamma_curve_new'
gtkglue.c:701: warning: assignment makes pointer from integer without a
cast
gtkglue.c:702: warning: implicit declaration of function `GTK_GAMMA_CURVE'
gtkglue.c:702: invalid type argument of `->'
gtkglue.c:696: warning: `curve' might be used uninitialized in this
function
gtkglue.c: In function `gsg_sync':
gtkglue.c:1296: invalid type argument of `->'
gtkglue.c:1275: warning: `curve' might be used uninitialized in this
function
make[1]: *** [gtkglue.o] Error 1
make[1]: Leaving directory `/tmp/root/sane/sane-0.6/frontend'
make: *** [all-recursive] Error 1

I had no problems compiling sane-0.57!

Bye,

Guenther

Guenther.Beulshausen@stud.uni-hannover.de

    --
    Source code, list archive, and docs: http://www.azstarnet.com/~axplinux/sane/
    To unsubscribe: mail -s unsubscribe sane-devel-request@listserv.azstarnet.com

- Next message: Andrew Kuchling: "B&W qcam with SANE 0.6"
- Previous message: David Mosberger-Tang: "Re: Sane on NeXT/OpenStep - a plea for help"